





Crafty.c("SoccerBallBox", {
    init: function(){
      this.addComponent("Box, Collision");
      
      this.collision();
        
      this.onHit("Box", function(target) {
      		console.log("Collided with BOX ", target[0].obj)
          // points++;
          // $("#points").text(points); 
          // target[0].obj.destroy();
      });
    } 
});

// Crafty.e("2D, Canvas, Image, Mouse").image("images/lock.png");
 
Crafty.c("Lock", {
  init: function() {
  this.requires("2D, Canvas, Image, Mouse").image("images/lock.png");
 
  },
});

Crafty.c("BG1", {
  init: function() {
  this.requires("2D, Canvas, Image, Mouse").image("images/bg.png");
 
  },
});

Crafty.c("GameLogo", {
  init: function() {
  this.requires("2D, Canvas, Image, Mouse").image("images/game_Logo.png");
 
  },
});